Subject: RE: [nemo] Extensions to NEMOv4 base for the Charter.

From: "Kent Leung \(kleung\)" <[email-masked]>
Date: Tue, 2 May 2006 15:25:18 -0700

I agree with the suggestion for a work item on IPv4 based NEMO.  The
experiences with deployments in various markets will lead to enrichment
of both IPv4 and IPv6 NEMO technologies.  Especially in areas where
commonalities exist.

Kent

> -----Original Message-----
> From: Alexandru Petrescu [mailto:[email-masked]] 
> Sent: Tuesday, May 02, 2006 9:52 AM
> To: Tsirtsis, George
> Cc: [email-masked]
> Subject: Re: [nemo] Extensions to NEMOv4 base for the Charter.
> 
> Tsirtsis, George wrote:
> > In a recent discussion on the mailing list I suggested that 
> we should  
> > define FA support and dynamic prefix allocation for the NEMOv4 base 
> > solution.
> > 
> > A number of people at the time seemed to be supportive of 
> the idea and 
> > I am in the process of writing a draft on the subject. 
> Could we extend 
> > the charter to cover these issues?
> 
> I agree to request extending the Charter to deal with FA 
> support for NEMOv4.  Maybe that could be simply put like: 
> "produce IPv4 NEMO protocol based on Mobile IPv4 (basic 
> support, FA support and prefix allocation from the foreign 
> and/or home networks)."
> 
> Or similar?  Just some short phrasing.
> 
> Alex
>

---

From: "Kent Leung \(kleung\)" <[email-masked]>
Date: Tue, 2 May 2006 17:25:39 -0700

Just to clarify, I support the request for extensions to base NEMOv4...

Kent 

> From: Kent Leung (kleung) 
> Sent: Tuesday, May 02, 2006 3:25 PM
> To: Alexandru Petrescu; Tsirtsis, George
> Cc: [email-masked]
> Subject: RE: [nemo] Extensions to NEMOv4 base for the Charter.
> 
> I agree with the suggestion for a work item on IPv4 based 
> NEMO.  The experiences with deployments in various markets 
> will lead to enrichment of both IPv4 and IPv6 NEMO 
> technologies.  Especially in areas where commonalities exist.
> 
> Kent
> 
> support for 
> > NEMOv4.  Maybe that could be simply put like:
> > "produce IPv4 NEMO protocol based on Mobile IPv4 (basic support, FA 
> > support and prefix allocation from the foreign and/or home 
> networks)."
> >

---

From: "COMBES Jean-Michel RD-MAPS-ISS" <[email-masked]>
Date: Fri, 5 May 2006 11:39:23 +0200

I agree too on focusing on IPv6 in the NEMO WG. 
Clearly, someone that wants to follow NEMO4 and NEMO6 has just to
subscribe to the 2 WG's ML. 
If NEMO4 and NEMO6 are studied in the same WG, this will increase the
chances to miss important debates if we are only focused on one of the
two topics because of the number of emails (BTW, that was clearly my
case when there was the mobileip WG).

Best regards.

JMC.

France Telecom - R&D Division - MAPS/NSS   
Jean-Michel COMBES, Internet/Intranet Security
E-Mail: [email-masked]
Phone: +33 (0)1 45 29 45 94
Fax: +33 (0)1 45 29 65 19
Mobile: +33 (0)6 07 29 30 16 

> From: Vijay Devarapalli [mailto:[email-masked]] 
> Sent: Thursday, May 04, 2006 7:22 PM
> To: Thierry Ernst
> Cc: [email-masked]
> I agree on focusing on IPv6 in the NEMO WG.
> 
> Vijay
> 
> Thierry Ernst wrote:
> > 
> > I will not answer back your mail Alex though I have a comment for 
> > every single sentence, because I don't want to enter into a 
> > long-lasting debate.
> > 
> > What I would like to get is room for other people expressing their 
> > will for what should be in scope of the NEMO WG vs what shouldn't.
> > 
> > IMHO, what matters now the most are operational issues with 
> deploying 
> > existing RFC 3963 (e.g. Global HAHA, fixing RFC 3963, 
> multiple MR, etc).
> > If NEMOv4 stuff helps deploying RFC 3963, why not ?  But I 
> have some 
> > doubts here.
> > 
> > Thierry.
> > 
> > 
> > 
> > 
> > On Thu, 04 May 2006 16:59:53 +0200
> > Alexandru Petrescu <[email-masked]> wrote:
> > 
> >> Thierry Ernst wrote:
> >>> I have a subtle understanding of what the message should 
> be, and it 
> >>> is valid in all organizations: been clear, not confusing, 
> and well 
> >>> documented.
> >> I agree, inter-operability between v4 and v6 is necessary. 
>  Knowing 
> >> that
> >> MIP4 3344 doesn't provide network mobility, and that mip6trans of 
> >> this NEMO WG is working on v4 and v6 inter-operability - it is 
> >> obvious to me that MIP4 NEMO extensions should be done and 
> is being 
> >> done here, something that has been already agreed since some time.
> >>
> >> Being incoherent about how NEMOv6 and NEMOv4 work only 
> makes tougher 
> >> the work of inter-operability between them.  One example is in 
> >> netlmm, where main IPv4 address auto-configuration (DHCP) is so 
> >> different than IPv6
> >> (stateless) that netlmm has more work to do to transform stateless 
> >> into DHCP.  Or here, we want NEMOv4 to also use prefixes in RegReq 
> >> just as NEMOv6 does in BU.  If not, the mip6trans DT will 
> be tempted 
> >> to add
> >> IPv4 prefixes in the BU as well, for good reason.
> >>
> >> People deploying moving networks would like to do so 
> similarly for v4 
> >> and v6.  They wouldn't prefer to use NEMOv6 for IPv6, but 
> NAT+DHCP for IPv4.
> >>
> >>> We cannot develop IPv4 and IPv6 protocols in the same 
> group (unless,  
> >>> as I said, we are working on interoperability issues).
> >> Why not?
> >>
> >> DHCP is done in DHC WG for both v4 and v6.  Similar with 
> IKE and DNS.
> >>
> >>> From outside, NEMO is seen as a WG focusing on IPv6.
> >> I'm not sure about this exclusivity.  From the outside 
> that I see the 
> >> WG is working on Network Mobility.  It is true that up to 
> late 2005 
> >> it did mainly NEMOv6 with MIP6 3775.
> >>
> >> If there is a need to educate the "outside" as to what this WG is 
> >> doing
> >> - that's the job of both its Chairs or any other participant.
> >>
> >>> In addition to this, there is a vast majority of people active in 
> >>> the  NEMO WG who really don't have interest in IPv4.
> >> If it were so, mip6trans DT wouldn't be attached to NEMO WG and to 
> >> MIP6 WG.  Mip6trans DT addresses important IPv4 aspets, 
> for example 
> >> it considers the HA to run an IPv4 stack and connected to the IPv4 
> >> Internet, with IPv6 addresses being IPv4-mapped.
> >>
> >>> So, not only our output must be clear for the people 
> monitoring what 
> >>> the WG is doing,
> >> Yes, I completely agree, we should be clear on that.
> >>
> >>> but also we must make all the necessary things to gather 
> within this  
> >>> group active participants with a clear focus of what we are doing.
> >> YEs.  That is already happening.  With respect to IPv4-related 
> >> activities, we have already atracted active participants 
> with a clear 
> >> focus of what we are doing about IPv4.  mip6trans is but 
> an example.
> >>
> >>> My personal position has always been that people willing to bring 
> >>> similar features to IPv4 or whatever which is not IPv6 
> should simply  
> >>> gather together and set up their own WG.
> >> This didn't happen with the mip6trans DT: mip6trans is doing some 
> >> IPv4 stuff.  They didn't form their separated WG.
> >>
> >> But I agree with you there's a fine balance to be achieved between 
> >> effort spent in re-organizing activities, effort spent in 
> documenting 
> >> and agreeing on technologies and effort spent on educating the 
> >> outside of the WG about what this WG is doing.  Outside 
> the WG there 
> >> are many documenting papers about the WG, speeches, books, 
> and so on.  
> >> These are all excellent venues for educating the outside.
> >>
> >> Alex
> >> PS: one can't use NEMO as being IPv6 only and as a technical 
> >> superiority to enforce switching from IPv4 to IPv6.  
> People can and 
> >> do today IPv4 moving networks with NEMOv4, with DHCP+NAT 
> and many other ways.
> >> Somebody even sells "Mobile Routers" that don't do IPv6 at 
> all.  But 
> >> I agree with you it may have been a motivator in the long 
> gone past.
> >>
> > 
> > 
> 
> 
>

---

From: "BINET David RD-CORE-CAE" <[email-masked]>
Date: Fri, 5 May 2006 13:42:38 +0200

Hello,

Nemo working group deals with Network Mobility. First charter concentrated
efforts on IPv6 but I remember an IETF  meeting where it was said that IPv4
could be considered if some persons in the working group wanted to work on
such topic. Personnally, I think it is some kind of regression to consider
at this stage in Nemo working group IPv4 solutions but if some persons or
some companies want to work on IPv4, it must be considered. Maybe it is
useful for a short term Nemo services deployment since very few IPv6
operational networks are deployed today, unfortunaltely !
But we also have to notice that some interoperabilty problems between IPv4
and IPv6 nemo services may arise and will have to be considered if we go in
that way.
I am not in favor of creating two separate working groups, nemov6 and
nemov4, because we are trying to solve one problem, Network Mobility,
independantly of IP version protocol used. I do not think that we want to
create an IPv6 IETF and an IPv4 IETF !

I did not react on Nemo proposed charter2 but I think it is a good idea to
work on proposed item: - Look into the issues and tradeoffs involved in
making the network's movement visible to some mobile network nodes, by
making them "NEMO aware", because it could be useful, maybe for some
performance reasons, to give some information about Nemo "status" to MNs.

David     

-----Message d'origine-----
De : Thierry Ernst [mailto:[email-masked]] 
Envoyé : vendredi 5 mai 2006 10:54
À : [email-masked]
Objet : Re: [nemo] Extensions to NEMOv4 base for the Charter.

Vidya, 

Some people want to concentrate on v6 work only (including me and a couple
of other who have been involved in the NEMO WG from the
beginning) and for these people there are valid reasons not to mix up
things. On the other hand, there are other people who just want to work on
NEMO without distinction between IPv4 and IPv6. There people also have valid
reasons.

I stand on the side of those people who want to work on IPv6 specific
issues. If there are good reasons to motivate a reduction in the number of
WGs, I would rather group MIP6 and NEMO together rather than NEMOv4 and
NEMOv6 together. But the debate on "too many mobility WGs within the IETF"
should be discussed on the IETF general ML or the WG chairs ML, not here.

I would like to get the opinion of more (i.e. others) people whether we
should concentrate on IPv6 or not.

Thierry.

On Thu, 4 May 2006 23:55:24 -0700
"Narayanan, Vidya" <[email-masked]> wrote:

> Hi Thierry,
> At the risk of falling under the "v4-defenders" camp, I am not sure 
> why there is a problem with doing the work if there is a practical 
> need for it and if there are volunteers to work on the topic. When we 
> did the base draft, we did mention that our desire was to work on the 
> NEMOv4 base protocol - however, there was a discussion related to what 
> happens if more topics come up and we had decided that we will take up 
> those topics as they go based on need and consensus.
> 
> And, I completely disagree that there should be a separate WG to do 
> any
> IPv4 work - there are a lot of functional similarities between NEMOv4 
> and NEMOv6 and the work required for any additions to NEMOv4 base is 
> minimal. If there is enough interest and need for getting this work 
> done, it should be done here.
> 
> The mobility space already has way too many WGs - way more than there 
> needs to be. If anything the IETF is doing in this space is sending a 
> confusing message to observers, that alone is sufficient to drive an 
> observer to ultimate confusion :) The fact that a WG titled "Network 
> Mobility" is working on IPv4 and IPv6 network mobility is hardly the 
> reason an observer is likely to get confused!
> 
> Regards,
> Vidya
> 
> > From: Thierry Ernst [mailto:[email-masked]]
> > Sent: Wednesday, May 03, 2006 1:28 AM
> > To: [email-masked]
> > Dear all,
> > Just a note, I remember v4-defenders stating not so long ago that 
> > they would just do something basic on V4 for NEMO, but now some 
> > folks are suggesting FA support, prefix allocation, etc. What is 
> > next ?
> > 
> > I don't personaly mind work on NEMOv4 (but I don't support this), 
> > however, I do mind that the NEMO WG has a strong focus on v6, and I 
> > would rather see work on v4 and v6 taking places in SEPARATE working 
> > groups. Many people don't want to lose their time on v4 discussions.
> > 
> > I really think that melting IPv4 and IPv6 in a single working group 
> > is at minimum confusing, and possibly damaging the message the IETF 
> > is addressing to the world (i.e. non-IETFers who follow the output 
> > of the IETF, but not the internal discussions).
> > 
> > The only exception I see to this if v4-v6 interoperability issues, 
> > if any.
> > 
> > PS:  I was unable to participate to the IETF and the discussions on 
> > IETF mailing lists since mid-March until now (back to normal mode 
> > now, I hope), so there are a lot of important discussions in which I 
> > couldn't participate. I still need to dig back into the discussions 
> > to see what other important thread I missed.
> > 
> > Thierry
> > 
> > 
> > > Tsirtsis, George wrote:
> > > > In a recent discussion on the mailing list I suggested that we 
> > > > should  define FA support and dynamic prefix allocation for the
> > > > NEMOv4 base solution.
> > > > 
> > the idea
> > > > and I am in the process of writing a draft on the
> > subject. Could we
> > > > extend the charter to cover these issues?
> > > 
> > > NEMOv4.  Maybe that could be simply put like: "produce IPv4 NEMO 
> > > protocol based on Mobile IPv4 (basic support, FA support and 
> > > prefix allocation from the foreign and/or home networks)."
> > > 
> > --
> > Thierry ERNST, PhD
> > INRIA Rocquencourt Projet IMARA
> > +33 1 39 63 59 30
> > 
> > 
> > 
> 
> 

--
Thierry ERNST, PhD
INRIA Rocquencourt Projet IMARA
+33 1 39 63 59 30

---

From: "Kent Leung \(kleung\)" <[email-masked]>
Date: Fri, 5 May 2006 09:34:05 -0700

Hi Thierry.

> > I don't see any tradeoff between quantity and quality. 
> Quality should be 1st.
> > 

I agree with your statement.  But it seems that we can accomplish
quality for both NEMOv4 and NEMOv6.  This doesn't seem contradictory as
long as there are folks willing to put forth the time and energy.  BTW,
it seems that if we harnessed the mind-power that's been put into this
thread to address George's draft, I really think we'd be done with it
already.  :)

Kent

---

From: "Narayanan, Vidya" <[email-masked]>
Date: Fri, 5 May 2006 18:16:20 -0700

I completely agree with Kent here. This discussion has taken more energy
and time from people than the actual work needed for the NEMOv4
extensions. 

This discussion has completely de-railed and lost its meaning - so, I
will stop further specific comments on this topic here. 

Vidya 

> From: Kent Leung (kleung) [mailto:[email-masked]] 
> Sent: Friday, May 05, 2006 9:34 AM
> To: Thierry Ernst; [email-masked]
> I agree with your statement.  But it seems that we can 
> accomplish quality for both NEMOv4 and NEMOv6.  This doesn't 
> seem contradictory as long as there are folks willing to put 
> forth the time and energy.  BTW, it seems that if we 
> harnessed the mind-power that's been put into this thread to 
> address George's draft, I really think we'd be done with it 
> already.  :)
> 
> Kent
> 
>

---

From: "Tsirtsis, George" <[email-masked]>
Date: Tue, 9 May 2006 04:07:33 -0700

Thierry,

And of course the extensions to NEMOv4 base that I am suggesting will
also be informational which is another reason why I do not get the
resistance to all this.

George

> Sent: Tuesday, May 09, 2006 4:16 AM
> To: [email-masked]
> Thanks for the "outside" comments James, this is surely helpful.
> 
> One detail, though, directed to George (and James regarding his
comment
> on the lack of technical discussion): the NEMOv4 work is
informational,
> this is a big difference with the NEMOv6 work, and there are reasons
why
> this document has been accepted as informational only. A direct
> consequence of this document being informational is that it didn't
raise
> much debate on the technical side. If the document was in the proper
> standard track, it's pretty sure that more debate would have occured
on
> the technical side.
> 
> Also, as I already pointed out, it was accepted a while ago to the
> condition the workload put on the WG would be minimum (I'm not saying
we
> have to stick to this - I'm just recalling the history so that people
> don't use the existing v4 work as a justification for more work - all
> justification must be technical and about organizational priorities of
> the WG).
> 
> Thierry.
> 
> 
> 
> 
> 
> On Mon, 8 May 2006 11:19:24 -0700
> "James Kempf" <[email-masked]> wrote:
> 
> > The work is certainly not substantial enough to warrant a WG of its
own
> > and a small, but determined :-), number of NEMO WG members have
> > expressed active interest in this topic. I also have to point out
that
> > arguments against this work item (which have also been expressed)
are
> > not technical in nature i.e., no one as far as I can tell says that
what
> > we are suggesting is "wrong" or "technically flawed". Instead the
> > arguments are rather organizational e.g, the focus of the WG is IPv6
or
> > there are too many items on the agenda etc.
> >
> > jak>> In a rechartering effort, arguments of an organizational
nature
> are as
> > helpful in getting a coherent charter as those of a technical
nature.
> > Developing a charter is, after all, and organizational effort.
> >
> > jak>> But if the WG has efforts ongoing to standardize
non-MIPv6-based
> > solutions, and there are people who are committed to doing the work,
> then of
> > course the work should continue.
> >
> >             jak
> >
> >
> >
> 
> 
> --
> Thierry ERNST, PhD

---

From: "Pedro Pinheiro" <[email-masked]>
Date: Wed, 10 May 2006 11:28:26 +0100

Hi all and Alexandru,

As Alexandru said in this mail, I am forwarding our conversation to the ML
so that others can discuss it.

Alexandru: thanks for your comments and goodwill... :)

Best regards,
-Vapi

------------------------------------
Universidade de Coimbra
Pedro Pinheiro
Eng, MSc
[email-masked]
Centro de Informatica 
R. Arco da Traição, Ap. 3080
3001-401 COIMBRA
tel: +351 239 853 170
fax: +351 239 853 189
IM: MSN: [email-masked]
Skype ID:pedrovapi
------------------------------------

-----Original Message-----
From: Alexandru Petrescu [mailto:[email-masked]] 
Sent: quarta-feira, 10 de Maio de 2006 11:15
To: Pedro Pinheiro
Subject: Re: [nemo] Extensions to NEMOv4 base for the Charter.

Pedro Pinheiro wrote:
> Hi Alexandru,
> 
> I don't think rfc3963 is THE network mobile solution. There are still
>  a lot of questions for solving. As Thierry told in a presentation: 
> rfc3963 is for connecting nemo networks. Now we must solve the 
> performance problems...

Ok, I agree that performance problems are important.  Please post this
about the performance problems on the NEMO mailing list, we can discuss
about it there, it is relevant there.

> For me, and is what I am trying to find a thesis for my PhD, the RO 
> problem is one of the biggest and crucial for turning the NEMO and 
> Mobility a reality. The latency, triangular routing, increased packet
>  overhead and processing delay, home network bottleneck and pinball 
> at nested networks, beside others, are questions still waiting for 
> answers.

I somehow agree. I hope you are aware of the many drafts, IPR, PhDs and
other technical reports published on the RO subject.  And on the fact
that IETF has been looking at this since about 10 years and there's
still no widespread deployment of RO, maybe none at all.

> For me, and my insignificancy :),

No no, don't say so.  All oppinions are important.  WG Chairs look at
the NEMO list traffic and try to derive a common understanding from all
postings, yours as well as mine.

> I would like to see all those problems solved first, and *only* after
>  that the WG should see the IPv4 scenario.

Ah, now I understand why you said so.  It was not immediately clear from
the first mail that you prefer IPv6 optimizations before you look at
IPv4.  Could you please post this clarification.  I somehow agree with it.

> (well, I hope you don't solve the RO problem so fast that I don't 
> have time to propose my thesis... :)

Don't worry.  I don't think there's an universal RO solution fitting
everything.  I've been looking at the problem for a while, and it's
difficult.  Be confident you'll write a good thesis.

Good luck,

Alex